<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCorporateIdToCreditCashtransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('credit_cashtransactions', function (Blueprint $table) {
            $table->bigInteger('corporateincome_id')
                ->nullable()
                ->after('cashtransaction_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('credit_cashtransactions', function (Blueprint $table) {
            $table->dropColumn('corporateincome_id');
        });
    }
}
